CVE-2010-4538

high
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

Buffer overflow in the sect_enttec_dmx_da function in epan/dissectors/packet-enttec.c in Wireshark 1.4.2 allows remote attackers to cause a denial of service (application crash) or possibly execute arbitrary code via a crafted ENTTEC DMX packet with Run Length Encoding (RLE) compression.

References

http://lists.fedoraproject.org/pipermail/package-announce/2011-January/053042.html

http://lists.fedoraproject.org/pipermail/package-announce/2011-January/053061.html

http://openwall.com/lists/oss-security/2010/12/31/7

http://openwall.com/lists/oss-security/2011/01/03/8

http://osvdb.org/70244

http://secunia.com/advisories/42767

http://secunia.com/advisories/42853

http://secunia.com/advisories/42910

http://secunia.com/advisories/42914

http://www.debian.org/security/2011/dsa-2144

http://www.mandriva.com/security/advisories?name=MDVSA-2011:002

http://www.redhat.com/support/errata/RHSA-2011-0013.html

http://www.securityfocus.com/bid/45634

http://www.securitytracker.com/id?1024930

http://www.vupen.com/english/advisories/2011/0008

http://www.vupen.com/english/advisories/2011/0053

http://www.vupen.com/english/advisories/2011/0069

http://www.vupen.com/english/advisories/2011/0079

http://www.vupen.com/english/advisories/2011/0099

http://www.vupen.com/english/advisories/2011/0110

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5539

https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A14937

Details

Source: MITRE

Published: 2011-01-07

Updated: 2017-09-19

Type: CWE-119

Risk Information

CVSS v2

Base Score: 9.3

Vector: AV:N/AC:M/Au:N/C:C/I:C/A:C

Impact Score: 10

Exploitability Score: 8.6

Severity: HIGH

Vulnerable Software

Configuration 1

OR

cpe:2.3:a:wireshark:wireshark:1.4.2:*:*:*:*:*:*:*

Tenable Plugins

View all (13 total)

IDNameProductFamilySeverity
68179Oracle Linux 4 / 5 / 6 : wireshark (ELSA-2011-0013)NessusOracle Linux Local Security Checks
high
60931Scientific Linux Security Update : wireshark on SL4.x, SL5.x i386/x86_64NessusScientific Linux Local Security Checks
high
57261SuSE 10 Security Update : wireshark (ZYPP Patch Number 7438)NessusSuSE Local Security Checks
critical
56426GLSA-201110-02 : Wireshark: Multiple vulnerabilitiesNessusGentoo Local Security Checks
critical
53319SuSE 10 Security Update : wireshark (ZYPP Patch Number 7439)NessusSuSE Local Security Checks
critical
53315SuSE 11.1 Security Update : wireshark (SAT Patch Number 4267)NessusSuSE Local Security Checks
critical
51795Mandriva Linux Security Advisory : wireshark (MDVSA-2011:002)NessusMandriva Local Security Checks
high
51784CentOS 4 : wireshark (CESA-2011:0013)NessusCentOS Local Security Checks
high
51531Debian DSA-2144-1 : wireshark - buffer overflowNessusDebian Local Security Checks
high
51519Fedora 13 : wireshark-1.2.13-2.fc13 (2011-0167)NessusFedora Local Security Checks
high
51515Fedora 14 : wireshark-1.4.2-2.fc14 (2011-0128)NessusFedora Local Security Checks
high
51458Wireshark < 1.2.14 / 1.4.3 Multiple VulnerabilitiesNessusWindows
high
51452RHEL 4 / 5 / 6 : wireshark (RHSA-2011:0013)NessusRed Hat Local Security Checks
high